Package jebl.evolution.alignments

# Class BootstrappedAlignment

java.lang.Object
jebl.evolution.alignments.ResampledAlignment
jebl.evolution.alignments.BootstrappedAlignment

All Implemented Interfaces:
  `Alignment`, `Patterns`, `Sequences`

public class BootstrappedAlignment extends ResampledAlignment
Date: 15/01/2006 Time: 10:13:50

Version:
  $Id: BootstrappedAlignment.java 940 2008-08-26 00:32:47Z stevensh $
Author:
  Joseph Heled

## Constructor Summary

Constructors
Constructor
Description
`BootstrappedAlignment(Alignment srcAlignment)`
`BootstrappedAlignment(Alignment srcAlignment, long seed)`
`BootstrappedAlignment(Alignment srcAlignment, Random r)`

## Method Summary

### Methods inherited from class jebl.evolution.alignments.ResampledAlignment

`getPatternCount, getPatternLength, getPatterns, getSequence, getSequenceList, getSequences, getSequenceType, getSiteCount, getTaxa, init`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BootstrappedAlignment

public BootstrappedAlignment(Alignment srcAlignment, long seed)

### BootstrappedAlignment

public BootstrappedAlignment(Alignment srcAlignment, Random r)

### BootstrappedAlignment

public BootstrappedAlignment(Alignment srcAlignment)